@charset 'UTF-8';

@use '../../node_modules/normalize.css/normalize.css';

$color-white: #ffffff;
$color-black: #000000;

$color-bg: #073b4c;
$color-1: #ef476f;
$color-2: #ffd166;
$color-3: #06d6a0;
$color-4: #118ab2;


* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
  border: 0;
}

html,
body {
  width: 100%;
  height: 100%;
}

body {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  background-color: $color-bg;
}

.container {
  position: relative;
  width: 200px;
  height: 200px;
  margin: 50px 100px;
  outline: 1px solid rgba($color-white, .1);
  outline-offset: 20px;

  &-2 {
    .box {
      animation-name: box-2;
    }
  }

  &-3 {
    .box {
      animation-name: box-3;
    }
  }
}

.box {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border-radius: 50px;
  animation: box-1 4s ease-in-out 0s infinite normal forwards;

  &:nth-child(1) {
    background-color: $color-1;
    animation-delay: -1.5s;
  }

  &:nth-child(2) {
    background-color: $color-2;
    animation-delay: -1s;
  }

  &:nth-child(3) {
    background-color: $color-3;
    animation-delay: -.5s;
  }

  &:nth-child(4) {
    background-color: $color-4;
  }
}

@keyframes box-1 {
  25% {
    transform: scale(0);
  }
}

@keyframes box-2 {
  50% {
    transform: scale(0);
  }
}

@keyframes box-3 {
  75% {
    transform: scale(0);
  }
}
